<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_SearchSegmentsShip StructType
 * @subpackage Structs
 */
class JP_SearchSegmentsShip extends AbstractStructBase
{
    /**
     * The SearchSegmentShip
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_SearchSegmentShip
     */
    public $SearchSegmentShip;
    /**
     * The CruiseSuppliers
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_CruiseSupplier
     */
    public $CruiseSuppliers;
    /**
     * Constructor method for JP_SearchSegmentsShip
     * @uses JP_SearchSegmentsShip::setSearchSegmentShip()
     * @uses JP_SearchSegmentsShip::setCruiseSuppliers()
     * @param \StructType\JP_SearchSegmentShip $searchSegmentShip
     * @param \ArrayType\ArrayOfJP_CruiseSupplier $cruiseSuppliers
     */
    public function __construct(\StructType\JP_SearchSegmentShip $searchSegmentShip = null, \ArrayType\ArrayOfJP_CruiseSupplier $cruiseSuppliers = null)
    {
        $this
            ->setSearchSegmentShip($searchSegmentShip)
            ->setCruiseSuppliers($cruiseSuppliers);
    }
    /**
     * Get SearchSegmentShip value
     * @return \StructType\JP_SearchSegmentShip|null
     */
    public function getSearchSegmentShip()
    {
        return $this->SearchSegmentShip;
    }
    /**
     * Set SearchSegmentShip value
     * @param \StructType\JP_SearchSegmentShip $searchSegmentShip
     * @return \StructType\JP_SearchSegmentsShip
     */
    public function setSearchSegmentShip(\StructType\JP_SearchSegmentShip $searchSegmentShip = null)
    {
        $this->SearchSegmentShip = $searchSegmentShip;
        return $this;
    }
    /**
     * Get CruiseSuppliers value
     * @return \ArrayType\ArrayOfJP_CruiseSupplier|null
     */
    public function getCruiseSuppliers()
    {
        return $this->CruiseSuppliers;
    }
    /**
     * Set CruiseSuppliers value
     * @param \ArrayType\ArrayOfJP_CruiseSupplier $cruiseSuppliers
     * @return \StructType\JP_SearchSegmentsShip
     */
    public function setCruiseSuppliers(\ArrayType\ArrayOfJP_CruiseSupplier $cruiseSuppliers = null)
    {
        $this->CruiseSuppliers = $cruiseSuppliers;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_SearchSegmentsShip
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
